Take the 2-minute tour ×
Arqade is a question and answer site for passionate videogamers on all platforms. It's 100% free, no registration required.

I want to upgrade my current game running under version 0.31.25 to the latest version 0.34.02. Is there a safe way to do that?

share|improve this question
add comment

1 Answer

up vote 10 down vote accepted

No, there isn't. The last two update are not savegame compatible ,0.31 to 0.34.01 because of the mass of changes, 0.34.01 to 0.34.02 because of corrupted savegames:

Toady One The first bugfix release has arrived. Unfortunately, you'll have to restart -- even if your save seems fine, it's likely that it is dying a slow death due to corrupted buildings.

share|improve this answer
    
Hopefully someone will eventually make a utility of some sort that can upgrade them, if that's even possible. I'm holding onto a really nice 31.25 fortress in the hopes that they do. –  SaintWacko Feb 20 '12 at 17:05
    
That's very unlikely. It's not just the fort that need to be changed, a lot of thing in the world are different. I don't think there is a way to "convert" anythin. –  Jupotter Feb 20 '12 at 17:34
    
Hm, alright. I thought something might be able to go through the save files and replace any save code that's changed with the new versions. –  SaintWacko Feb 20 '12 at 17:58
    
That's certainly possible, @SaintWacko, but highly improbable, due to the amount of work involved. Perhaps it is time for that fortress to have some Fun? –  kotekzot Feb 20 '12 at 19:25
    
@kotekzot, it's really just getting started, although Fun wouldn't be too hard, considering it's built into the side of a volcano :D Well, I suppose I'll have a pretty good chance of Fun when I build my steam cannons. –  SaintWacko Feb 20 '12 at 19:32
show 1 more comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.